Package org.eclipse.birt.chart.model.attribute

# Interface Location3D

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `Location`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `Location3DImpl`

public interface Location3D extends Location
A representation of the model object 'Location3 D'. Location3D represents a 3D point with its coordinates.

The following features are supported:

- `Z`

See Also:
  - `AttributePackage.getLocation3D()`

## Method Summary

Modifier and Type
Method
Description
`Location3D`
`copyInstance()`
`double`
`getZ()`
Returns the value of the 'Z' attribute.
`boolean`
`isSetZ()`
Returns whether the value of the '`Z`' attribute is set.
`void`
`linkToVector(Vector vector)`
Used to link a Location3D to a Vector for live update of the coordinates.
`void`
`scale(double dScale)`
Causes the internal (x,y) values to be scaled by a relative (dScale) value
`void`
`set(double dX, double dY, double dZ)`
A convenience method for defining member variables NOTE: Manually created
`void`
`setZ(double value)`
Sets the value of the '`Z`' attribute.
`void`
`translate(double dTranslateX, double dTranslateY, double dTranslateZ)`
Causes the internal (x,y,z) values to be translated by a relative value of (dTranslateX, dTranslateY, dTranslateZ)
`void`
`unsetZ()`
Unsets the value of the '`Z`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Location

`getX, getY, isSetX, isSetY, set, setX, setY, translate, unsetX, unsetY`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getZ

double getZ()
Returns the value of the 'Z' attribute.

If the meaning of the 'Z' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Z' attribute.
See Also:
  - `isSetZ()`
  - `unsetZ()`
  - `setZ(double)`
  - `AttributePackage.getLocation3D_Z()`

### setZ

void setZ(double value)
Sets the value of the '`Z`' attribute.

Parameters:
  `value` - the new value of the 'Z' attribute.
See Also:
  - `isSetZ()`
  - `unsetZ()`
  - `getZ()`

### unsetZ

void unsetZ()
Unsets the value of the '`Z`' attribute.

See Also:
  - `isSetZ()`
  - `getZ()`
  - `setZ(double)`

### isSetZ

boolean isSetZ()
Returns whether the value of the '`Z`' attribute is set.

Returns:
  whether the value of the 'Z' attribute is set.
See Also:
  - `unsetZ()`
  - `getZ()`
  - `setZ(double)`

### scale

void scale(double dScale)
Description copied from interface: `Location`
Causes the internal (x,y) values to be scaled by a relative (dScale) value

Specified by:
  `scale` in interface `Location`
Parameters:
  `dScale` -

### translate

void translate(double dTranslateX, double dTranslateY, double dTranslateZ)
Causes the internal (x,y,z) values to be translated by a relative value of (dTranslateX, dTranslateY, dTranslateZ)

Parameters:
  `dTranslateX` -
  `dTranslateY` -
  `dTranslateZ` -

### set

void set(double dX, double dY, double dZ)
A convenience method for defining member variables NOTE: Manually created

Parameters:
  `dX` -
  `dY` -
  `dZ` -

### linkToVector

void linkToVector(Vector vector)
Used to link a Location3D to a Vector for live update of the coordinates.

### copyInstance

Location3D copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Location`